Subject: V/I table checking

From: Arpad Muranyi <[email-masked]>
Date: Fri, 18 Mar 94 14:54:04 PST

---------------------------- Forwarded with Changes ---------------------------
From: [email-masked] at Internet_Gateway
Date: 3/17/94 5:29PM
To: Don A Telian at FMCCM4
To: Arpad Muranyi at FMCCM4
*To: Tim A Schreyer at JFCCM7
*To: [email-masked] at Internet_Gateway
Subject: V/I table checking
-------------------------------------------------------------------------------
This is another general comment, (not so much a comment on the contents of this 
EMAIL below).

If we JUST want a polarity checker for the MOST COMMON error, I have another 
most common error to check for:  VCC-relative!  That needed more explaining than
the polarity of the current in my experience, and I have seen more people being 
confused about that.  Should that also be checked for then?

Arpad

Gentle IBIS folk:

Just a couple of points about V/I table checking.

1. I agree with Don and Will that changing the Golden Parser should not
be undertaken lightly. I believe we agreed that the Golden Parser
IS, in fact, the IBIS specification. Let us follow procedure for changes
to the parser, and perhaps issue some interim IBIS application note to
provide temporary guidance until an issue is fully resolved. We all know
about runaway software where fixing one problem creates a couple more
problems which then multiply geometrically. Beyond that...there are the
issues raised below.

2. I agree with Bob Ross that the proposed scheme for enforcing
data integrity will not work for ECL, nor for a few other device types.
(See item 3 of the proposal).  Either the "pullup" or the "pulldown"
data for the ECL and other device types will violate these requirements.

3. The proposed scheme, item 3, will not always work even for CMOS unless
we use only the magnitudes of the currents. Existing data for ageing (old)
devices is sometimes presented with positive currents and sometimes with
negative currents for CMOS pullup devices.

4. I am not sure that checking only the two end points will always
guarantee the conclusions we are assuming here. Current(I) data in
between these two points may increase or decrease and still be perfectly
valid, particularly if we think of device types other than CMOS.

Maah Sango
Contec Microelectronics USA Inc.